Message Queue, v4.4 API Specification

## javax.jms
Interface TemporaryQueue

All Superinterfaces:
  Destination, Queue

    public interface TemporaryQueue

extends Queue

A `TemporaryQueue` object is a unique `Queue` object created for the duration of a `Connection`. It is a system-defined queue that can be consumed only by the `Connection` that created it.

A `TemporaryQueue` object can be created at either the `Session` or `QueueSession` level. Creating it at the `Session` level allows to the `TemporaryQueue` to participate in transactions with objects from the Pub/Sub domain. If it is created at the `QueueSession`, it will only be able participate in transactions with objects from the PTP domain.

See Also:
  `Session.createTemporaryQueue()`, `QueueSession.createTemporaryQueue()`

Method Summary
`void` `delete()` Deletes this temporary queue.

Methods inherited from interface javax.jms.Queue
`getQueueName, toString`

Method Detail

### delete

    void delete()
                throws JMSException

  Deletes this temporary queue. If there are existing receivers still using it, a `JMSException` will be thrown.

  Throws:
    `JMSException` - if the JMS provider fails to delete the temporary queue due to some internal error.

Message Queue, v4.4 API Specification

Copyright 2009 Sun Microsystems, Inc.
4150 Network Circle, Santa Clara, CA 95054, U.S.A. All Rights Reserved.